#include <IRremote.h>
#include <nRF24L01.h>
#include <printf.h>
#include <RF24.h>
#include <RF24_config.h>
#include <SPI.h>

decode_results results;
IRsend irsend; // Always on pin 3
RF24 radio(7,8);
const byte address[6] = "00001";

int BP1=4,BP2=2,BP3=6,BP4=5;

void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.openWritingPipe(address);
  radio.setPALevel(RF24_PA_MIN);
  radio.stopListening();
  
  pinMode(BP1,INPUT);
  digitalWrite(BP1,HIGH);
  pinMode(BP2,INPUT);
  digitalWrite(BP2,HIGH);
  pinMode(BP3,INPUT);
  digitalWrite(BP3,HIGH);
  pinMode(BP4,INPUT);
  digitalWrite(BP4,HIGH);

  
}

void loop() {

  const char text[]="Hello World";

  
  if (digitalRead(BP1)==LOW) {
    //delay(50);
    Serial.println("Button1");
    /*irsend.sendNEC(0x20DF10EF,32);
    delay(200);*/
    radio.write(&text, sizeof(text)); 
    Serial.println(text);
    
    }
  if (digitalRead(BP2)==LOW) {
    delay(50);
    Serial.println("Button2");
    irsend.sendNEC(0x20DF10EF,32);
    delay(200);
    }
  if (digitalRead(BP3)==LOW) {
    delay(50);
    Serial.println("Button3");
    irsend.sendNEC(0x20DF10EF,32);
    delay(200);
    }
  if (digitalRead(BP4)==LOW) {
    delay(50);
    Serial.println("Button4");
    irsend.sendNEC(0x20DF10EF,32);
    delay(200);
    }

  delay(100);
  }


